Summary:	Line editor
Summary(pl.UTF-8):	Edytor liniowy
Name:		ledit
Version:	2.02.1
Release:	2
License:	BSD
Group:		Base
Source0:	http://cristal.inria.fr/~ddr/ledit/distrib/src/%{name}-%{version}.tgz
# Source0-md5:	f8d51a92bfe78d6e5bd5a94a131c96f8
URL:		http://cristal.inria.fr/~ddr/ledit/
BuildRequires:	ncurses-devel
BuildRequires:	ocaml
BuildRequires:	camlp5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Program ledit allows to edit lines one by one when running an
interactive command. When typing a line, some keys with control or
meta are interpreted: it is possible to insert characters in the
middle of the line, go to the beginning or the end of the line, get a
previous line, search for a line with a pattern, etc.

%description -l pl.UTF-8
Program ledit pozwala modyfikować linie tekstu wprowadzane w innym
interaktywnym programie. Pozwala na wprowadzanie znaków w środku
linii, przejście na jej początek lub koniec, wyszukiwanie linii
spełniającej jakiś wzór, wybranie poprzedniej linii, itd.

%prep
%setup -q

%build
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,/etc/skel}

install ledit.out $RPM_BUILD_ROOT%{_bindir}/ledit
install -p ledit.1 $RPM_BUILD_ROOT%{_mandir}/man1/ledit.1
install -p leditrc $RPM_BUILD_ROOT/etc/skel/.leditrc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
/etc/skel/.leditrc
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ledit.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fcddb63
- ncurses rebuild
- release 2 (by relup.sh)

* Mon Sep 26 2011 Jan Rękorajski <baggins@pld-linux.org> 6b3412d
- up to 2.02.1
- install leditrc to skel dir

* Mon Sep 26 2011 Jan Rękorajski <baggins@pld-linux.org> 937d821
- outdated

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e229e94
- release 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a938f14
- release 2

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 8ce96e4
- drop no_install_post_strip (not reasoned)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0b3bac1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 98ac0e4
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 92e9762
- orphaned, outdated

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 6542962
- merged update from AC-branch

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 7720491
- fix compilation with latest ocaml

* Fri Oct 29 2004 Jakub Bogusz <qboosh@pld-linux.org> d577b30
- pl fix, files format unification

* Wed Sep 01 2004 snurf <snurf@pld-linux.org> 1376af6
- typos / formatting / etc.

* Fri Jul 11 2003 ankry <ankry@pld-linux.org> 2678f1c
- URL fixes and other cosmetics

* Sun May 25 2003 Maciej Pijanka <agaran@pld-linux.org> a2de2da
- Source0-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 7082ce3
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> 4e50249
- new %doc

* Fri Nov 01 2002 Michal Moskal <michal@moskal.me> 2cd61a9
- camlp4 is now ocaml-camlp4

* Sun May 12 2002 ankry <ankry@pld-linux.org> b61468c
- added warn_seq.patch to fix camlp4 (ocaml-camlp4-3.04-7) options usage

* Sun May 12 2002 ankry <ankry@pld-linux.org> 9ca5fc6
- 86d3459c3590a376ae4ee34107b467d6  ledit-warn_seq.patch

